Name:                 jboss-parent
Version:              6
Release:              %mkrel 2
Summary:              JBoss Parent POM
Group:                Development/Java
License:              LGPLv2+
URL:                  http://www.jboss.org/

# git clone git://github.com/jboss/jboss-parent-pom.git
# cd jboss-parent-pom/ && git archive --format=tar --prefix=jboss-parent-6/ 6 | xz > jboss-parent-6.tar.xz
Source0:              %{name}-%{version}.tar.xz
# Removing unavailable deps
Patch0:               %{name}-%{version}-deps.patch
BuildArch:            noarch

BuildRequires:        jpackage-utils
BuildRequires:        maven
BuildRequires:        maven-install-plugin
BuildRequires:        maven-javadoc-plugin
BuildRequires:        maven-release-plugin
BuildRequires:        maven-resources-plugin
BuildRequires:        maven-enforcer-plugin

# Although clover2-plugin is opensource, Clover isn't and cannot be packaged.
# It seems that JBoss projects doesn't depend on this plugin and it will be
# removed in the future

# Requires:             maven-clover2-plugin

# Below is the list of additional requires for this package

# Requires:             findbugs-maven-plugin
# Requires:             javancss-maven-plugin
# Requires:             jdepend-maven-plugin
# Requires:             maven-injection-plugin
# Requires:             sonar-maven-plugin

Requires:             maven-antrun-plugin
Requires:             maven-assembly-plugin
Requires:             buildnumber-maven-plugin
Requires:             maven-checkstyle-plugin
Requires:             maven-clean-plugin
Requires:             maven-plugin-cobertura
Requires:             maven-compiler-plugin
Requires:             maven-dependency-plugin
Requires:             maven-deploy-plugin
Requires:             maven-ear-plugin
Requires:             maven-eclipse-plugin
Requires:             maven-ejb-plugin
Requires:             maven-enforcer-plugin
Requires:             maven-idea-plugin
Requires:             maven-install-plugin
Requires:             maven-jar-plugin
Requires:             maven-javadoc-plugin
Requires:             maven-plugin-jxr
Requires:             maven-license-plugin
Requires:             maven-plugin-plugin
Requires:             maven-pmd-plugin
Requires:             maven-rar-plugin
Requires:             maven-release-plugin
Requires:             maven-resources-plugin
Requires:             maven-site-plugin
Requires:             maven-source-plugin
Requires:             maven-surefire-plugin
Requires:             maven-surefire-provider-junit
Requires:             maven-war-plugin
Requires:             jpackage-utils
Requires:             java

%description
The Project Object Model files for JBoss packages.

%files
%doc README.md
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

%add_maven_depmap JPP.jboss-%{name}.pom



%changelog

* Fri Jan 06 2012 dmorgan <dmorgan> 6-2.mga2
+ Revision: 192637
- Do not use old maven macros anymore
- Fix groups

  + gil <gil>
    - edit spec file used new %%add_maven_depmap macro
    - update to 6
    - edit spec file
    - fix error
    - fix error
    - imported package jboss-parent

